Page MenuHomeFreeBSD

Make the use of mupdf in cups-filters optional
ClosedPublic

Authored by rezny on Apr 8 2017, 7:19 PM.
Tags
None
Referenced Files
Unknown Object (File)
Apr 23 2017, 11:25 AM
Unknown Object (File)
Apr 13 2017, 7:50 AM
Unknown Object (File)
Apr 11 2017, 7:16 AM
Unknown Object (File)
Apr 9 2017, 6:46 PM
Unknown Object (File)
Apr 9 2017, 4:38 PM
Unknown Object (File)
Apr 9 2017, 7:00 AM
Subscribers

Details

Summary

From PR 217848: The last update of cups-filters added mupdf as a hard dependency, which bring some heavy dependencies while not being used for pdftops. Make use of mupdf an option and actually use mupdf for pdftops when the option is active. Maintainer has approved.

Test Plan

Poudriere 10.3/11.0 amd64/i386 default options OK, mupdf option build verified on 11amd64

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

As it was enabled before, it should be a default option.

In D10325#213933, @mat wrote:

As it was enabled before, it should be a default option.

HYBRID has been the default PDFTOPS_RENDERER since the option group was added a year ago and should continue to be so. Although mupdf had been added as a dependency, it was not actually used because --with-pdftops=mupdf had not been passed to configure. It is only with the addition of the option that it becomes possible to use mupdf instead of ghostscript/poppler. Changing the default PDFTOPS_RENDERER from HYBRID to MUPDF would violate POLA.

This revision is now accepted and ready to land.Apr 10 2017, 1:16 PM
This revision was automatically updated to reflect the committed changes.